package eu.eudat.integrationevent.outbox.annotationentitytouch;

import eu.eudat.integrationevent.outbox.dmptouched.DmpTouchedIntegrationEvent;
import eu.eudat.model.persist.DmpPersist;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

public interface AnnotationEntityTouchedIntegrationEventHandler {

    void handle(AnnotationEntityTouchedIntegrationEvent event);

    static AnnotationEntityTouchedIntegrationEvent buildEventFromPersistModel(DmpPersist persist) {
        AnnotationEntityTouchedIntegrationEvent event = new AnnotationEntityTouchedIntegrationEvent();
        event.setEntityId(persist.getId());
        List<UUID> users = new ArrayList<>();
        persist.getUsers().forEach(dmpUserPersist -> {
            users.add(dmpUserPersist.getUser());
        });
        event.setUserIds(users);
        return event;
    }

}
