package eu.eudat.integrationevent.outbox.descriptiontouched;

import eu.eudat.model.persist.DescriptionPersist;

public interface DescriptionTouchedIntegrationEventHandler {

    void handle(DescriptionTouchedIntegrationEvent event);

    static DescriptionTouchedIntegrationEvent buildEventFromPersistModel(DescriptionPersist persist) {
        DescriptionTouchedIntegrationEvent event = new DescriptionTouchedIntegrationEvent();
        event.setId(persist.getId());
        event.setLabel(persist.getLabel());
        event.setDmpId(persist.getDmpId());
        event.setDmpDescriptionTemplateId(persist.getDmpDescriptionTemplateId());
        event.setDescriptionTemplateId(persist.getDescriptionTemplateId());
        event.setStatus(persist.getStatus());
        event.setDescription(persist.getDescription());
        event.setProperties(persist.getProperties());
        event.setTags(persist.getTags());
        return event;
    }

}
