package eu.eudat.integrationevent.outbox.dmptouched;

import eu.eudat.commons.enums.DmpAccessType;
import eu.eudat.commons.enums.DmpStatus;
import eu.eudat.integrationevent.TrackedEvent;
import eu.eudat.model.persist.DmpDescriptionTemplatePersist;
import eu.eudat.model.persist.dmpproperties.DmpBlueprintValuePersist;
import eu.eudat.model.persist.dmpproperties.DmpContactPersist;

import java.util.List;
import java.util.Map;
import java.util.UUID;

public class DmpTouchedIntegrationEvent extends TrackedEvent {

    private UUID id;

    private String label;

    private DmpStatus status;

    private List<DmpContactPersist> contacts;

    private Map<UUID, DmpBlueprintValuePersist> dmpBlueprintValues;

    private String description;

    private String language;

    private UUID blueprint;

    private DmpAccessType accessType;

    private List<DmpDescriptionTemplatePersist> descriptionTemplates;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public DmpStatus getStatus() {
        return status;
    }

    public void setStatus(DmpStatus status) {
        this.status = status;
    }

    public List<DmpContactPersist> getContacts() {
        return contacts;
    }

    public void setContacts(List<DmpContactPersist> contacts) {
        this.contacts = contacts;
    }

    public Map<UUID, DmpBlueprintValuePersist> getDmpBlueprintValues() {
        return dmpBlueprintValues;
    }

    public void setDmpBlueprintValues(Map<UUID, DmpBlueprintValuePersist> dmpBlueprintValues) {
        this.dmpBlueprintValues = dmpBlueprintValues;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public UUID getBlueprint() {
        return blueprint;
    }

    public void setBlueprint(UUID blueprint) {
        this.blueprint = blueprint;
    }

    public DmpAccessType getAccessType() {
        return accessType;
    }

    public void setAccessType(DmpAccessType accessType) {
        this.accessType = accessType;
    }

    public List<DmpDescriptionTemplatePersist> getDescriptionTemplates() {
        return descriptionTemplates;
    }

    public void setDescriptionTemplates(List<DmpDescriptionTemplatePersist> descriptionTemplates) {
        this.descriptionTemplates = descriptionTemplates;
    }

}
