package eu.eudat.logic.managers;

import eu.eudat.commons.scope.user.UserScope;
import gr.cite.tools.exception.MyNotFoundException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import eu.eudat.service.externalfetcher.criteria.ExternalReferenceCriteria;

@Component
public class ValidationManager {
	
//	private RemoteFetcherService remoteFetcherService;
	private final UserScope userScope;

	@Autowired
	public ValidationManager(UserScope userScope) {
		super();
//		this.remoteFetcherService = remoteFetcherService;
		this.userScope = userScope;
	}
	
	public Boolean validateIdentifier(String identifier, String type) throws MyNotFoundException {
		ExternalReferenceCriteria externalReferenceCriteria = new ExternalReferenceCriteria(identifier, null);
//		Integer count = this.remoteFetcherService.countEntries(externalReferenceCriteria, type);
		Integer count = 1;
		return this.userScope.isSet() && count > 0;
	}
	
	

}
